gnutls_x509_crq_sign(3)

NAME
gnutls_x509_crq_sign - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_x509_crq_sign(gnutls_x509_crq_t crq, gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

gnutls_x509_privkey_t key
    holds a private key

DESCRIPTION
This function is the same a gnutls_x509_crq_sign2() with no flags, and SHA1 as the hash algorithm.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

DEPRECATED
Use gnutls_x509_crq_privkey_sign() instead.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/